Package org.eclipse.jface.dialogs

## Interface IPageChangeProvider

All Known Implementing Classes:
  `FormEditor`, `MultiPageEditorPart`, `PreferenceDialog`, `SharedHeaderFormEditor`, `WizardDialog`

    public interface IPageChangeProvider

Minimal interface to a page change provider. Used for dialogs which can switch between multiple pages.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addPageChangedListener​(IPageChangedListener listener)` Adds a listener for page changes in this page change provider.
`Object` `getSelectedPage()` Returns the currently selected page in the dialog.
`void` `removePageChangedListener​(IPageChangedListener listener)` Removes the given page change listener from this page change provider.

### Method Detail

#### getSelectedPage

    Object getSelectedPage()

Returns the currently selected page in the dialog.

Returns:
  the selected page in the dialog or `null` if none is selected. The type may be domain specific. In the JFace provided dialogs this will be an instance of `IDialogPage`.

#### addPageChangedListener

    void addPageChangedListener​(IPageChangedListener listener)

Adds a listener for page changes in this page change provider. Has no effect if an identical listener is already registered.

Parameters:
  `listener` - a page changed listener

#### removePageChangedListener

    void removePageChangedListener​(IPageChangedListener listener)

Removes the given page change listener from this page change provider. Has no effect if an identical listener is not registered.

Parameters:
  `listener` - a page changed listener